Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cltrac_spl.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cltrac_spl.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cltrac_spl.f90	(revision 5099)
@@ -0,0 +1,137 @@
+SUBROUTINE cltrac_spl(dtime, coef, yu1, yv1, t, tr, &
+        flux, paprs, pplay, d_tr)
+
+  USE dimphy
+  IMPLICIT none
+  !======================================================================
+  ! Auteur(s): O. Boucher (LOA/LMD) date: 19961127
+  ! inspire de clvent
+  ! Objet: diffusion verticale de traceurs avec flux fixe a la surface
+  ! ou/et flux du type c-drag
+  !======================================================================
+  ! Arguments:
+  ! dtime----input-R- intervalle du temps (en second)
+  ! coef-----input-R- le coefficient d'echange (m**2/s) l>1
+  ! yu1------input-R- le vent dans le 1iere couche
+  ! yv1------input-R- le vent dans le 1iere couche
+  ! t--------input-R- temperature (K)
+  ! tr-------input-R- la q. de traceurs
+  ! flux-----input-R- le flux de traceurs a la surface
+  ! paprs----input-R- pression a inter-couche (Pa)
+  ! pplay----input-R- pression au milieu de couche (Pa)
+  ! delp-----input-R- epaisseur de couche (Pa)
+  ! cdrag----input-R- cdrag pour le flux de surface (non active)
+  ! tr0------input-R- traceurs a la surface ou dans l'ocean (non active)
+  ! d_tr-----output-R- le changement de tr
+  ! flux_tr--output-R- flux de tr
+  !======================================================================
+  INCLUDE "dimensions.h"
+  REAL :: dtime
+  REAL :: coef(klon, klev)
+  REAL :: yu1(klon), yv1(klon)
+  REAL :: t(klon, klev), tr(klon, klev)
+  REAL :: paprs(klon, klev + 1), pplay(klon, klev), delp(klon, klev)
+  REAL :: d_tr(klon, klev)
+  REAL :: flux(klon), cdrag(klon), tr0(klon)
+  ! REAL flux_tr(klon,klev)
+  !======================================================================
+  INCLUDE "YOMCST.h"
+  !======================================================================
+  INTEGER :: i, k
+  REAL :: zx_ctr(klon, 2:klev)
+  REAL :: zx_dtr(klon, 2:klev)
+  REAL :: zx_buf(klon)
+  REAL :: zx_coef(klon, klev)
+  REAL :: local_tr(klon, klev)
+  REAL :: zx_alf1(klon), zx_alf2(klon), zx_flux(klon)
+  !======================================================================
+  ! CHECKING VALUES
+  ! print *,'CHECKING VALUES IN CLTRAC (INI)'
+  ! print *,'d_tr = ',sum(d_tr),MINVAL(d_tr),MAXVAL(d_tr)
+  ! print *,'flux = ',sum(flux),MINVAL(flux),MAXVAL(flux)
+  ! print *,'tr = ',sum(tr),MINVAL(tr),MAXVAL(tr)
+  !======================================================================
+  DO k = 1, klev
+    DO i = 1, klon
+      local_tr(i, k) = tr(i, k)
+      delp(i, k) = paprs(i, k) - paprs(i, k + 1)
+    ENDDO
+  ENDDO
+  !======================================================================
+  DO i = 1, klon
+    zx_alf1(i) = (paprs(i, 1) - pplay(i, 2)) / (pplay(i, 1) - pplay(i, 2))
+    zx_alf2(i) = 1.0 - zx_alf1(i)
+    zx_flux(i) = -flux(i) * dtime * RG
+    !--pour le moment le flux est prescrit
+    cdrag(i) = 0.0
+    ! cdrag(i) =  coef(i,1) * (1.0+SQRT(yu1(i)**2+yv1(i)**2))
+    ! .                * pplay(i,1)/(RD*t(i,1))
+    tr0(i) = 0.0
+    zx_coef(i, 1) = cdrag(i) * dtime * RG
+  ENDDO
+  !======================================================================
+  DO k = 2, klev
+    DO i = 1, klon
+      zx_coef(i, k) = coef(i, k) * RG / (pplay(i, k - 1) - pplay(i, k)) &
+              * (paprs(i, k) * 2 / (t(i, k) + t(i, k - 1)) / RD)**2
+      zx_coef(i, k) = zx_coef(i, k) * dtime * RG
+    ENDDO
+  ENDDO
+  !======================================================================
+  DO i = 1, klon
+    zx_buf(i) = delp(i, 1) + zx_coef(i, 1) * zx_alf1(i) + zx_coef(i, 2)
+    zx_ctr(i, 2) = (local_tr(i, 1) * delp(i, 1) + &
+            zx_coef(i, 1) * tr0(i) - zx_flux(i)) / zx_buf(i)
+    zx_dtr(i, 2) = (zx_coef(i, 2) - zx_alf2(i) * zx_coef(i, 1)) / &
+            zx_buf(i)
+  ENDDO
+
+  DO k = 3, klev
+    DO i = 1, klon
+      zx_buf(i) = delp(i, k - 1) + zx_coef(i, k) &
+              + zx_coef(i, k - 1) * (1. - zx_dtr(i, k - 1))
+      zx_ctr(i, k) = (local_tr(i, k - 1) * delp(i, k - 1) &
+              + zx_coef(i, k - 1) * zx_ctr(i, k - 1)) / zx_buf(i)
+      zx_dtr(i, k) = zx_coef(i, k) / zx_buf(i)
+    ENDDO
+  ENDDO
+  DO i = 1, klon
+    local_tr(i, klev) = (local_tr(i, klev) * delp(i, klev) &
+            + zx_coef(i, klev) * zx_ctr(i, klev)) &
+            / (delp(i, klev) + zx_coef(i, klev) &
+                    - zx_coef(i, klev) * zx_dtr(i, klev))
+  ENDDO
+  DO k = klev - 1, 1, -1
+    DO i = 1, klon
+      local_tr(i, k) = zx_ctr(i, k + 1) + zx_dtr(i, k + 1) * local_tr(i, k + 1)
+    ENDDO
+  ENDDO
+  !======================================================================
+  ! print *,'CHECKING VALUES IN CLTRAC (FIN)'
+  ! print *,'local_tr = ',sum(local_tr),MINVAL(local_tr),
+  ! .                                    MAXVAL(local_tr)
+  !  print *,'zx_ctr = ',sum(zx_ctr),MINVAL(zx_ctr),MAXVAL(zx_ctr)
+  !  print *,'zx_dtr = ',sum(zx_dtr),MINVAL(zx_dtr),MAXVAL(zx_dtr)
+  !  print *,'tr = ',sum(tr),MINVAL(tr),MAXVAL(tr)
+  !======================================================================
+  !== flux_tr est le flux de traceur (positif vers bas)
+  !  DO i = 1, klon
+  !     flux_tr(i,1) = zx_coef(i,1)/(RG*dtime)
+  !  ENDDO
+  !  DO k = 2, klev
+  !  DO i = 1, klon
+  !     flux_tr(i,k) = zx_coef(i,k)/(RG*dtime)
+  ! .               * (local_tr(i,k)-local_tr(i,k-1))
+  !  ENDDO
+  !  ENDDO
+  !======================================================================
+  DO k = 1, klev
+    DO i = 1, klon
+      d_tr(i, k) = local_tr(i, k) - tr(i, k)
+    ENDDO
+  ENDDO
+  ! print *,'CHECKING VALUES IN CLTRAC (END)'
+  ! print *,'d_tr = ',sum(d_tr),MINVAL(d_tr),MAXVAL(d_tr)
+
+  RETURN
+END SUBROUTINE cltrac_spl
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cm3_to_kg.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cm3_to_kg.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/cm3_to_kg.f90	(revision 5099)
@@ -0,0 +1,25 @@
+SUBROUTINE cm3_to_kg(pplay, t_seri, tr_seri)
+
+  USE dimphy
+  USE infotrac
+  USE indice_sol_mod
+
+  IMPLICIT NONE
+
+  INCLUDE "dimensions.h"
+  INCLUDE "YOMCST.h"
+
+  REAL :: t_seri(klon, klev), pplay(klon, klev)
+  REAL :: tr_seri(klon, klev)
+  REAL :: zrho
+  INTEGER :: i, k
+
+  !JE20150707      RD = 1000.0 * 1.380658E-23 * 6.0221367E+23 / 28.9644
+  DO k = 1, klev
+    DO i = 1, klon
+      zrho = pplay(i, k) / t_seri(i, k) / RD
+      tr_seri(i, k) = tr_seri(i, k) * 1.e6 / zrho
+    ENDDO
+  ENDDO
+
+END SUBROUTINE cm3_to_kg
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/coarsemission.F	(revision 5099)
@@ -24,5 +24,4 @@
 !      CALL dustemission( debutphy, xlat, xlon, pctsrf, 
 !     .               zu10m     zv10m,wstar,ale_bl,ale_wake)
-!
 
       USE dimphy
@@ -276,5 +275,5 @@
      .     MINVAL(source_tr(:,id_coss)), MAXVAL(source_tr(:,id_coss))
       ENDIF
-!
+
       DO i=1,klon
 ! Original line (4 tracers)
@@ -287,5 +286,5 @@
      . flux_tr(i,id_fine)+scale_param_ssacc
      .                            *lmt_sea_salt(i,1)*1.e4*1.e3      !mg/m2/s
-!
+
       IF(id_coss>0)  source_tr(i,id_coss)=
      . scale_param_sscoa*lmt_sea_salt(i,2)*1.e4    !g/m2/s
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc.f90	(revision 5099)
@@ -0,0 +1,120 @@
+SUBROUTINE condsurfc(jour, lmt_bcff, lmt_bcbb, &
+        lmt_bcbbl, lmt_bcbbh, lmt_bc_penner, &
+        lmt_omff, lmt_ombb, lmt_ombbl, lmt_ombbh, &
+        lmt_omnat)
+  USE dimphy
+  USE netcdf, ONLY : nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, nf90_nowrite, nf90_get_var
+  IMPLICIT none
+
+  ! Lire les conditions aux limites du modele pour la chimie.
+  ! --------------------------------------------------------
+
+  INCLUDE "dimensions.h"
+
+  REAL :: lmt_bcff(klon), lmt_bcbb(klon), lmt_bc_penner(klon)
+  REAL :: lmt_omff(klon), lmt_ombb(klon)
+  REAL :: lmt_bcbbl(klon), lmt_bcbbh(klon)
+  REAL :: lmt_ombbl(klon), lmt_ombbh(klon)
+  REAL :: lmt_omnat(klon)
+  REAL :: lmt_terp(klon)
+
+  INTEGER :: jour, i
+  INTEGER :: ierr
+  INTEGER :: nid1, nvarid
+  INTEGER :: debut(2), epais(2)
+
+  IF (jour<0 .OR. jour>(360 - 1)) THEN
+    IF (jour>(360 - 1).AND.jour<=367) THEN
+      jour = 360 - 1
+      print *, 'JE: jour changed to jour= ', jour
+    ELSE
+      PRINT*, 'Le jour demande n est pas correcte:', jour
+      CALL ABORT
+    ENDIF
+  ENDIF
+
+  ierr = nf90_open ("limitcarbon.nc", nf90_nowrite, nid1)
+  if (ierr/=nf90_noerr) then
+    write(6, *)' Pb d''ouverture du fichier limitbc.nc'
+    write(6, *)' ierr = ', ierr
+    call exit(1)
+  endif
+
+  ! Tranche a lire:
+  debut(1) = 1
+  debut(2) = jour + 1
+  epais(1) = klon
+  epais(2) = 1
+
+
+  ierr = nf90_inq_varid (nid1, "BCFF", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, lmt_bcff, debut, epais)
+  ! print *,'IERR = ',ierr
+  ! print *,'nf90_noerr = ',nf90_noerr
+  ! print *,'debut = ',debut
+  ! print *,'epais = ',epais
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources BC'
+    CALL exit(1)
+  ENDIF
+
+
+  ierr = nf90_inq_varid (nid1, "BCBB", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, lmt_bcbb, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources BC-biomass'
+    CALL exit(1)
+  ENDIF
+
+
+  ierr = nf90_inq_varid (nid1, "BCBL", nvarid)
+  ierr = nf90_get_var(nid1, nvarid, lmt_bcbbl, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources BC low'
+    CALL exit(1)
+  ENDIF
+
+
+  ierr = nf90_inq_varid (nid1, "BCBH", nvarid)
+  ierr = nf90_get_var (nid1, nvarid, lmt_bcbbh, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources BC high'
+    CALL exit(1)
+  ENDIF
+
+  ierr = nf90_inq_varid (nid1, "TERP", nvarid)
+  ierr = nf90_get_var (nid1, nvarid, lmt_terp, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources Terpene'
+    CALL exit(1)
+  ENDIF
+
+
+  ierr = nf90_inq_varid (nid1, "BC_penner", nvarid)
+  ierr = nf90_get_var (nid1, nvarid, lmt_bc_penner, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources BC Penner'
+    CALL exit(1)
+  ENDIF
+
+
+  ierr = nf90_inq_varid (nid1, "OMFF", nvarid)
+  ierr = nf90_get_var (nid1, nvarid, lmt_omff, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources om-ifossil'
+    CALL exit(1)
+  ENDIF
+
+  DO i = 1, klon
+    lmt_ombb(i) = lmt_bcbb(i) * 7.0 * 1.6      !OC/BC=7.0;OM/OC=1.6
+    lmt_ombbl(i) = lmt_bcbbl(i) * 7.0 * 1.6
+    lmt_ombbh(i) = lmt_bcbbh(i) * 7.0 * 1.6
+    lmt_omff(i) = lmt_omff(i) * 1.4          !--OM/OC=1.4
+    lmt_omnat(i) = lmt_terp(i) * 0.11 * 1.4 !-- 11% Terpene is OC
+  ENDDO
+
+  ierr = nf90_close(nid1)
+  PRINT*, 'Carbon sources lues pour jour: ', jour
+
+  RETURN
+END SUBROUTINE condsurfc
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfc_new.f90	(revision 5099)
@@ -0,0 +1,208 @@
+SUBROUTINE condsurfc_new(jour, lmt_bcff, lmt_bcnff, &
+        lmt_bcbbl, lmt_bcbbh, lmt_bcba, &
+        lmt_omff, lmt_omnff, lmt_ombbl, lmt_ombbh, &
+        lmt_omnat, lmt_omba)
+  USE mod_grid_phy_lmdz
+  USE mod_phys_lmdz_para
+  USE dimphy
+  USE netcdf, ONLY : nf90_get_var, nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, nf90_nowrite
+  IMPLICIT none
+
+  ! Lire les conditions aux limites du modele pour la chimie.
+  ! --------------------------------------------------------
+
+  INCLUDE "dimensions.h"
+
+  REAL :: lmt_bcff(klon), lmt_bcnff(klon), lmt_bcba(klon)
+  REAL :: lmt_omff(klon), lmt_omnff(klon), lmt_ombb(klon)
+  REAL :: lmt_bcbbl(klon), lmt_bcbbh(klon)
+  REAL :: lmt_ombbl(klon), lmt_ombbh(klon)
+  REAL :: lmt_omnat(klon), lmt_omba(klon)
+  REAL :: lmt_terp(klon)
+
+  REAL :: lmt_bcff_glo(klon_glo), lmt_bcnff_glo(klon_glo)
+  REAL :: lmt_bcba_glo(klon_glo)
+  REAL :: lmt_omff_glo(klon_glo), lmt_omnff_glo(klon_glo)
+  REAL :: lmt_ombb_glo(klon_glo)
+  REAL :: lmt_bcbbl_glo(klon_glo), lmt_bcbbh_glo(klon_glo)
+  REAL :: lmt_ombbl_glo(klon_glo), lmt_ombbh_glo(klon_glo)
+  REAL :: lmt_omnat_glo(klon_glo), lmt_omba_glo(klon_glo)
+  REAL :: lmt_terp_glo(klon_glo)
+
+  INTEGER :: jour, i
+  INTEGER :: ierr
+  INTEGER :: nid1, nvarid
+  INTEGER :: debut(2), epais(2)
+
+  !  IF (jour.LT.0 .OR. jour.GT.(366-1)) THEN
+  IF (jour<0 .OR. jour>366) THEN
+    PRINT*, 'Le jour demande n est pas correcte:', jour
+    print *, 'JE: FORCED TO CONTINUE (emissions have&
+            & to be longer than 1 year!!!! )'
+    !JE         CALL ABORT
+  ENDIF
+
+  !$OMP MASTER
+  IF (is_mpi_root .AND. is_omp_root) THEN
+
+    ! Tranche a lire:
+    debut(1) = 1
+    debut(2) = jour
+    epais(1) = klon_glo
+    ! epais(1) = klon
+    epais(2) = 1
+
+    !=======================================================================
+    !                    BC EMISSIONS
+    !=======================================================================
+
+    ierr = nf90_open ("carbon_emissions.nc", nf90_nowrite, nid1)
+    if (ierr/=nf90_noerr) then
+      write(6, *)' Pb d''ouverture du fichier limitbc.nc'
+      write(6, *)' ierr = ', ierr
+      call exit(1)
+    endif
+
+    ! BC emissions from fossil fuel combustion
+
+    ierr = nf90_inq_varid (nid1, "BCFF", nvarid)
+    ierr = nf90_get_var (nid1, nvarid, lmt_bcff_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources BC'
+      CALL exit(1)
+    ENDIF
+    ! !print *,'lmt_bcff = ',lmt_bcff
+    ! !stop
+
+    ! BC emissions from non fossil fuel combustion
+
+    ierr = nf90_inq_varid (nid1, "BCNFF", nvarid)
+    ierr = nf90_get_var (nid1, nvarid, lmt_bcnff_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources BC'
+      CALL exit(1)
+    ENDIF
+
+    ! Low BC emissions from biomass burning
+
+    ierr = nf90_inq_varid (nid1, "BCBBL", nvarid)
+    ierr = nf90_get_var (nid1, nvarid, lmt_bcbbl_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources BC low'
+      CALL exit(1)
+    ENDIF
+
+    ! High BC emissions from biomass burning
+
+    ierr = nf90_inq_varid (nid1, "BCBBH", nvarid)
+    ierr = nf90_get_var (nid1, nvarid, lmt_bcbbh_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources BC high'
+      CALL exit(1)
+    ENDIF
+
+    ! BC emissions from ship transport
+
+    ierr = nf90_inq_varid (nid1, "BCBA", nvarid)
+    ierr = nf90_get_var (nid1, nvarid, lmt_bcba_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources BC'
+      CALL exit(1)
+    ENDIF
+
+    !=======================================================================
+    ! OM EMISSIONS
+    !=======================================================================
+
+    ! OM emissions from fossil fuel combustion
+
+    ierr = nf90_inq_varid (nid1, "OMFF", nvarid)
+    ierr = nf90_get_var (nid1, nvarid, lmt_omff_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources OM'
+      CALL exit(1)
+    ENDIF
+
+    ! OM emissions from non fossil fuel combustion
+
+    ierr = nf90_inq_varid (nid1, "OMNFF", nvarid)
+    ierr = nf90_get_var (nid1, nvarid, lmt_omnff_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources OM'
+      CALL exit(1)
+    ENDIF
+
+    ! Low OM emissions from biomass burning - low
+
+    ierr = nf90_inq_varid (nid1, "OMBBL", nvarid)
+    ierr = nf90_get_var (nid1, nvarid, lmt_ombbl_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources OM low'
+      CALL exit(1)
+    ENDIF
+
+    ! High OM emissions from biomass burning - high
+
+    ierr = nf90_inq_varid (nid1, "OMBBH", nvarid)
+    ierr = nf90_get_var (nid1, nvarid, lmt_ombbh_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources OM high'
+      CALL exit(1)
+    ENDIF
+
+    ! High OM emissions from ship
+
+    ierr = nf90_inq_varid (nid1, "OMBA", nvarid)
+    ierr = nf90_get_var (nid1, nvarid, lmt_omba_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources OM ship'
+      CALL exit(1)
+    ENDIF
+
+    ! Natural Terpene emissions => Natural OM emissions
+
+    ierr = nf90_inq_varid (nid1, "TERP", nvarid)
+    ierr = nf90_get_var (nid1, nvarid, lmt_terp_glo, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources Terpene'
+      CALL exit(1)
+    ENDIF
+
+    DO i = 1, klon_glo
+      lmt_omnat_glo(i) = lmt_terp_glo(i) * 0.11 * 1.4 !-- 11% Terpene is OC
+    ENDDO
+
+    ierr = nf90_close(nid1)
+
+    PRINT*, 'Carbon sources lues pour jour: ', jour
+    ! lmt_bcff(klon)=0.0
+    ! lmt_bcnff(klon)=0.0
+    ! lmt_omff(klon)=0.0
+    ! lmt_omnff(klon)=0.0
+    ! lmt_ombb(klon)=0.0
+    ! lmt_bcbbl(klon)=0.0
+    ! lmt_bcbbh(klon)=0.0
+    ! lmt_ombbl(klon)=0.0
+    ! lmt_ombbh(klon)=0.0
+    ! lmt_omnat(klon)=0.0
+    ! lmt_omba(klon)=0.0
+    ! lmt_terp(klon)=0.0
+
+  ENDIF
+  !$OMP END MASTER
+  !$OMP BARRIER
+  call scatter(lmt_bcff_glo, lmt_bcff)
+  call scatter(lmt_bcnff_glo, lmt_bcnff)
+  call scatter(lmt_bcbbl_glo, lmt_bcbbl)
+  call scatter(lmt_bcbbh_glo, lmt_bcbbh)
+  call scatter(lmt_bcba_glo, lmt_bcba)
+  call scatter(lmt_omff_glo, lmt_omff)
+  call scatter(lmt_omnff_glo, lmt_omnff)
+  call scatter(lmt_ombbl_glo, lmt_ombbl)
+  call scatter(lmt_ombbh_glo, lmt_ombbh)
+  call scatter(lmt_omba_glo, lmt_omba)
+  call scatter(lmt_terp_glo, lmt_terp)
+  call scatter(lmt_omnat_glo, lmt_omnat)
+
+  RETURN
+END SUBROUTINE condsurfc_new
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90	(revision 5099)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/condsurfs.f90	(revision 5099)
@@ -0,0 +1,238 @@
+SUBROUTINE condsurfs(jour, edgar, flag_dms, &
+        lmt_so2h, lmt_so2b, lmt_so2bb, lmt_so2ba, &
+        lmt_so2volc, lmt_altvolc, &
+        lmt_dmsbio, lmt_h2sbio, lmt_dms, lmt_dmsconc)
+  USE dimphy
+  USE netcdf, ONLY : nf90_close, nf90_noerr, nf90_inq_varid, nf90_open, &
+          nf90_nowrite, nf90_get_var
+  IMPLICIT none
+
+  ! Lire les conditions aux limites du modele pour la chimie.
+  ! --------------------------------------------------------
+
+  INCLUDE "dimensions.h"
+
+  REAL :: lmt_so2h(klon), lmt_so2b(klon), lmt_so2bb(klon)
+  REAL :: lmt_dmsbio(klon), lmt_h2sbio(klon), lmt_so2ba(klon)
+  REAL :: lmt_so2volc(klon), lmt_altvolc(klon)
+  REAL :: lmt_dms(klon), lmt_dmsconc(klon)
+  LOGICAL :: edgar
+  INTEGER :: flag_dms
+
+  INTEGER :: jour, i
+  INTEGER :: ierr
+  INTEGER :: nid, nvarid
+  INTEGER :: debut(2), epais(2)
+
+  IF (jour<0 .OR. jour>(360 - 1)) THEN
+    IF ((jour>(360 - 1)) .AND. (jour<=367)) THEN
+      jour = 360 - 1
+      print *, 'JE: jour changed to jour= ', jour
+    ELSE
+      PRINT*, 'Le jour demande n est pas correcte:', jour
+      CALL ABORT
+    ENDIF
+  ENDIF
+
+  ierr = nf90_open ("limitsoufre.nc", nf90_nowrite, nid)
+  if (ierr/=nf90_noerr) then
+    write(6, *)' Pb d''ouverture du fichier limitsoufre.nc'
+    write(6, *)' ierr = ', ierr
+    call exit(1)
+  endif
+
+  ! Tranche a lire:
+  debut(1) = 1
+  debut(2) = jour + 1
+  epais(1) = klon
+  epais(2) = 1
+
+  ierr = nf90_inq_varid (nid, "VOLC", nvarid)
+  ierr = nf90_get_var(nid, nvarid, lmt_so2volc, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources so2 volcan'
+    CALL exit(1)
+  ENDIF
+
+  ierr = nf90_inq_varid (nid, "ALTI", nvarid)
+  ierr = nf90_get_var(nid, nvarid, lmt_altvolc, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les altitudes volcan'
+    CALL exit(1)
+  ENDIF
+
+  IF (edgar) THEN   !--EDGAR w/o ship and biomass burning
+
+    ierr = nf90_inq_varid (nid, "SO2ED95L", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2b, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 edgar low'
+      CALL exit(1)
+    ENDIF
+
+    ierr = nf90_inq_varid (nid, "SO2ED95H", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2h, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 edgar high'
+      CALL exit(1)
+    ENDIF
+
+  ELSE  !--GEIA
+
+    ierr = nf90_inq_varid (nid, "SO2H", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2h, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 haut'
+      CALL exit(1)
+    ENDIF
+
+    ierr = nf90_inq_varid (nid, "SO2B", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_so2b, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources so2 bas'
+      CALL exit(1)
+    ENDIF
+
+  ENDIF  !--edgar
+
+  ierr = nf90_inq_varid (nid, "SO2BB", nvarid)
+  ierr = nf90_get_var(nid, nvarid, lmt_so2bb, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources so2 bb'
+    CALL exit(1)
+  ENDIF
+
+  ierr = nf90_inq_varid (nid, "SO2BA", nvarid)
+  ierr = nf90_get_var(nid, nvarid, lmt_so2ba, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources so2 bateau'
+    CALL exit(1)
+  ENDIF
+
+  ierr = nf90_inq_varid (nid, "DMSB", nvarid)
+  ierr = nf90_get_var(nid, nvarid, lmt_dmsbio, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources dms bio'
+    CALL exit(1)
+  ENDIF
+
+  ierr = nf90_inq_varid (nid, "H2SB", nvarid)
+  ierr = nf90_get_var(nid, nvarid, lmt_h2sbio, debut, epais)
+  IF (ierr /= nf90_noerr) THEN
+    PRINT*, 'Pb de lecture pour les sources h2s bio'
+    CALL exit(1)
+  ENDIF
+
+  IF (flag_dms==1) THEN
+
+    ierr = nf90_inq_varid (nid, "DMSL", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_dms, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources dms liss'
+      CALL exit(1)
+    ENDIF
+
+  ELSEIF (flag_dms==2) THEN
+
+    ierr = nf90_inq_varid (nid, "DMSW", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_dms, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources dms wann'
+      CALL exit(1)
+    ENDIF
+
+  ELSEIF (flag_dms==3) THEN
+
+    ierr = nf90_inq_varid (nid, "DMSC1", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources dmsconc old'
+      CALL exit(1)
+    ENDIF
+
+  ELSEIF (flag_dms==4) THEN
+
+    ierr = nf90_inq_varid (nid, "DMSC2", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources dms conc 2'
+      CALL exit(1)
+    ENDIF
+
+  ELSEIF (flag_dms==5) THEN
+
+    ierr = nf90_inq_varid (nid, "DMSC3", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources dms conc 3'
+      CALL exit(1)
+    ENDIF
+
+  ELSEIF (flag_dms==6) THEN
+
+    ierr = nf90_inq_varid (nid, "DMSC4", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources dms conc 4'
+      CALL exit(1)
+    ENDIF
+
+  ELSEIF (flag_dms==7) THEN
+
+    ierr = nf90_inq_varid (nid, "DMSC5", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources dms conc 5'
+      CALL exit(1)
+    ENDIF
+
+  ELSEIF (flag_dms==8) THEN
+
+    ierr = nf90_inq_varid (nid, "DMSC6", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources dms conc 6'
+      CALL exit(1)
+    ENDIF
+
+  ELSEIF (flag_dms==9) THEN
+
+    ierr = nf90_inq_varid (nid, "DMSC7", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources dms conc 7'
+      CALL exit(1)
+    ENDIF
+
+  ELSEIF (flag_dms==10) THEN
+
+    ierr = nf90_inq_varid (nid, "DMSC8", nvarid)
+    ierr = nf90_get_var(nid, nvarid, lmt_dmsconc, debut, epais)
+    IF (ierr /= nf90_noerr) THEN
+      PRINT*, 'Pb de lecture pour les sources dms conc 8'
+      CALL exit(1)
+    ENDIF
+
+  ELSE
+
+    PRINT *, 'choix non possible pour flag_dms'
+    STOP
+
+  ENDIF
+
+  ierr = nf90_close(nid)
+
+  IF (flag_dms<=2) THEN
+    DO i = 1, klon
+      lmt_dmsconc(i) = 0.0
+    ENDDO
+  ELSE
+    DO i = 1, klon
+      lmt_dms(i) = 0.0
+    ENDDO
+  ENDIF
+
+  PRINT*, 'Sources SOUFRE lues pour jour: ', jour
+
+  RETURN
+END SUBROUTINE condsurfs
